package com.dowse.camera.client.jni;

import com.dowse.base.data.DS4GInfo;
import com.dowse.base.data.DSDeviceCustomInfo;
import com.dowse.base.data.DSLocation;
import com.dowse.base.data.DSTFInfo;
import com.dowse.base.data.DSWIFIAPInfo;
import com.dowse.base.data.DSWIFIInfo;
import com.dowse.base.data.StaticIPInfo;
import com.dowse.base.param.maintenance.MaintenanceParam;
import com.dowse.base.param.pic.ChannelPicParam;
import com.dowse.base.param.video.ChannelOSD;
import com.dowse.base.param.video.ChannelVideoParam;
import com.dowse.camera.client.data.DSCamera;
import com.dowse.camera.client.data.DSDeviceInfo;
import com.dowse.camera.client.data.DSSupportPhotoSize;
import com.dowse.camera.client.listener.DSCameraListener;

/* loaded from: ds_camera_client-2.0.6-23030810.aar:classes.jar:com/dowse/camera/client/jni/DSCameraClientJNI.class */
public class DSCameraClientJNI {
    public native void init(String str, String str2, String str3);

    public native int connect(String str, DSCameraListener dSCameraListener);

    public native void disconnect(int i);

    public native void uninit();

    public native DSCamera getDSCamera(int i);

    public native DSSupportPhotoSize getSupportPhotoSize(int i, int i2);

    public native int startVideoStreaming(int i, int i2, int i3);

    public native boolean stopVideoStreaming(int i, int i2);

    public native byte[] takePhoto(int i, int i2, int i3, int i4);

    public native byte[] takePhotoWithOSD(int i, int i2, int i3, int i4, String str);

    public native DS4GInfo get4GInfo(int i, int i2);

    public native DSDeviceInfo getDeviceInfo(int i);

    public native StaticIPInfo getStaticIP(int i);

    public native boolean setStaticIP(int i, StaticIPInfo staticIPInfo);

    public native String getMCUVer(int i);

    public native int getSolarVolt(int i);

    public native int getBatVolt(int i);

    public native int getBatSoc(int i);

    public native int getBatTotal(int i);

    public native int getChargeCurrent(int i);

    public native int getHiVolt(int i);

    public native int getLowVolt(int i);

    public native int getBoardTemp(int i);

    public native int getBatTemp(int i);

    public native int getWorkCurrent(int i);

    public native int getChargeStatus(int i);

    public native String getNrsecVersion(int i);

    public native DSLocation getGPSLocation(int i);

    public native boolean setGPSStatus(int i, int i2);

    public native DSTFInfo getDSTFInfo(int i);

    public native DSWIFIInfo getWiFiInfo(int i);

    public native boolean setWiFiInfo(int i, DSWIFIInfo dSWIFIInfo);

    public native DSWIFIAPInfo getWiFiAPInfo(int i);

    public native boolean setWiFiAPInfo(int i, DSWIFIAPInfo dSWIFIAPInfo);

    public native boolean setOSDParam(int i, int i2, ChannelOSD channelOSD);

    public native ChannelOSD getOSDParam(int i, int i2);

    public native boolean setPicParam(int i, int i2, ChannelPicParam channelPicParam);

    public native ChannelPicParam getPicParam(int i, int i2);

    public native boolean setVideoParam(int i, int i2, ChannelVideoParam channelVideoParam);

    public native ChannelVideoParam getVideoParam(int i, int i2);

    public native boolean startAudioCapture(int i);

    public native boolean stopAudioCapture(int i);

    public native int startAudio(int i, int i2);

    public native boolean stopAudio(int i, int i2);

    public native boolean startAudioPlayer(int i);

    public native boolean stopAudioPlayer(int i);

    public native boolean playAudio(int i, byte[] bArr);

    public native MaintenanceParam getConnectPCParam(int i);

    public native boolean setConnectPCParam(int i, int i2, int i3, String str, String str2, int i4);

    public native DSDeviceCustomInfo getDeviceCustomInfo(int i);

    public native boolean setDeviceCustomInfo(int i, DSDeviceCustomInfo dSDeviceCustomInfo);

    public native String getI1ParamJson(int i, String str);

    public native boolean setI1ParamJson(int i, int i2, String str, String str2);

    public native String getAIRegCode(int i);

    public native boolean setAICDKey(int i, String str);

    public native boolean runI1Fun(int i, int i2, int i3, int i4);

    public native String callFromRemote(int i, String str, String str2, String str3);
}
